"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDimensionKeys_1 = require("../model/operations/DescribeDimensionKeys");
class DescribeDimensionKeysCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDimensionKeys_1.DescribeDimensionKeys;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDimensionKeysCommand = DescribeDimensionKeysCommand;
//# sourceMappingURL=DescribeDimensionKeysCommand.js.map