"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetResourceMetrics_1 = require("../model/operations/GetResourceMetrics");
class GetResourceMetricsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetResourceMetrics_1.GetResourceMetrics;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetResourceMetricsCommand = GetResourceMetricsCommand;
//# sourceMappingURL=GetResourceMetricsCommand.js.map